Bug 163918 - CAN-2005-2097 xpdf DoS
Summary: CAN-2005-2097 xpdf DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xpdf   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: Mike McLean
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 23:26 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-670
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-09 16:13:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue. (28.00 KB, patch)
2005-07-21 23:29 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:670 normal SHIPPED_LIVE Moderate: xpdf security update 2005-08-09 04:00:00 UTC

Description Josh Bressers 2005-07-21 23:26:31 UTC
A broken PDF file is will create a file in /tmp and continue to fill it until
the filesystem is full.

Comment 2 Josh Bressers 2005-07-21 23:29:38 UTC
Created attachment 117043 [details]
Proposed patch for this issue.

Comment 3 Ngo Than 2005-07-25 14:08:01 UTC
it's already fixed in xpdf-3_00-11_7.

Comment 5 Josh Bressers 2005-08-09 15:30:51 UTC
Lifting embargo

Comment 6 Red Hat Bugzilla 2005-08-09 16:13:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-670.html



Note You need to log in before you can comment on or make changes to this bug.